summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Norris <briannorris@chromium.org>2016-01-19 15:09:31 -0500
committerMike Frysinger <vapier@gentoo.org>2016-01-19 15:10:29 -0500
commit0df2c1ffc08a1cc7089b9ca7abfffd7d2b6d45e9 (patch)
treeb24d7ab6688b7bf40f0c2087a314245dd1b26512 /net-print/foomatic-db-engine
parentnet-print/foomatic-db-engine: switch to `default` (diff)
downloadgentoo-0df2c1ffc08a1cc7089b9ca7abfffd7d2b6d45e9.tar.gz
gentoo-0df2c1ffc08a1cc7089b9ca7abfffd7d2b6d45e9.tar.bz2
gentoo-0df2c1ffc08a1cc7089b9ca7abfffd7d2b6d45e9.zip
net-print/foomatic-db-engine: use pkg-config to locate libxml2 libs
This fixes up cross-compiling issues by utilizing standard pkg-config files to locate libxml2 settings rather than `libxml2-config`.
Diffstat (limited to 'net-print/foomatic-db-engine')
-rw-r--r--net-print/foomatic-db-engine/files/4.0.12-use-pkgconfig.patch35
-rw-r--r--net-print/foomatic-db-engine/foomatic-db-engine-4.0.12.ebuild9
2 files changed, 41 insertions, 3 deletions
diff --git a/net-print/foomatic-db-engine/files/4.0.12-use-pkgconfig.patch b/net-print/foomatic-db-engine/files/4.0.12-use-pkgconfig.patch
new file mode 100644
index 00000000000..14693220019
--- /dev/null
+++ b/net-print/foomatic-db-engine/files/4.0.12-use-pkgconfig.patch
@@ -0,0 +1,35 @@
+https://bugs.linuxfoundation.org/show_bug.cgi?id=1339
+
+From: Brian Norris <computersforpeace@gmail.com>
+Date: Fri, 15 Jan 2016 11:12:03 -0800
+Subject: [PATCH] configure.ac: use pkg-config instead of xml2-config
+
+The former is much more standard, and libxml2 ships a .pc file.
+
+Leave libxml alone, since I haven't tested it, and it may not ship a .pc
+file.
+---
+ configure.ac | 8 +-------
+ 1 file changed, 1 insertion(+), 7 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 1562ee61b9d5..0ed5323ff2e7 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -22,12 +22,7 @@ dnl LIBS="$LIBS"
+ # Test for libxml
+ #
+ xml_version=
+-AC_PATH_PROG(XML2_CONFIG, xml2-config)
+-if test ! -z "$XML2_CONFIG"; then
+- xml_version=libxml2
+- XML_CFLAGS=`$XML2_CONFIG --cflags`
+- XML_LIBS=`$XML2_CONFIG --libs`
+-fi
++PKG_CHECK_MODULES(XML, libxml-2.0, [xml_version=libxml2])
+ if test -z "$xml_version"; then
+ AC_PATH_PROG(XML_CONFIG, xml-config)
+ if test ! -z "$XML_CONFIG"; then
+--
+2.1.2
+
diff --git a/net-print/foomatic-db-engine/foomatic-db-engine-4.0.12.ebuild b/net-print/foomatic-db-engine/foomatic-db-engine-4.0.12.ebuild
index 74a50f5fc1d..120d1c96d38 100644
--- a/net-print/foomatic-db-engine/foomatic-db-engine-4.0.12.ebuild
+++ b/net-print/foomatic-db-engine/foomatic-db-engine-4.0.12.ebuild
@@ -5,7 +5,7 @@
EAPI=5
GENTOO_DEPEND_ON_PERL_SUBSLOT=yes
-inherit eutils perl-app versionator
+inherit eutils perl-app versionator autotools
DESCRIPTION="Generates ppds out of xml foomatic printer description files"
HOMEPAGE="http://www.linuxprinting.org/foomatic.html"
@@ -16,7 +16,8 @@ SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
IUSE=""
-DEPEND="net-print/cups"
+DEPEND="net-print/cups
+ virtual/pkgconfig"
RDEPEND="
dev-libs/libxml2
|| ( >=net-print/cups-filters-1.0.43-r1[foomatic] net-print/foomatic-filters )
@@ -26,8 +27,10 @@ PDEPEND="net-print/foomatic-db"
src_prepare() {
epatch \
"${FILESDIR}"/4.0.7-perl-module.patch \
- "${FILESDIR}"/4.0.7-respect-ldflag.patch
+ "${FILESDIR}"/4.0.7-respect-ldflag.patch \
+ "${FILESDIR}"/4.0.12-use-pkgconfig.patch
sed -i -e "s:@LIB_CUPS@:$(cups-config --serverbin):" Makefile.in || die
+ eautoreconf
}
src_configure() {